Компрометация системы в ZPanel

Дата публикации:
13.06.2013
Дата изменения:
13.06.2013
Всего просмотров:
1138
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:C/I:C/A:C/E:U/RL:U/RC:C) = Base:9.3/Temporal:7.9
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
ZPanel 10.x
Уязвимые версии: ZPanel 10.0.2, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки при обработке данных в параметре "inHTUsername" в сценарии index.php (когда параметр "module" равен "htpasswd", "selected" равен "Selected", а "path" равен, к примеру, "/") в вызове "system()" в panel/modules/htpasswd/code/controller.ext.php. Удаленный пользователь может внедрить и выполнить произвольный код.

Для успешной эксплуатации уязвимости необходимо иметь права доступа к модулю "Protected Directories", который должен быть включен.

URL производителя: http://www.zpanelcp.com/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://archives.neohapsis.com/archives/fulldisclosure/2013-06/0040.html
http://forums.zpanelcp.com/showthread.php?27928-Remote-Execution-Exploit-Please-disable-your-HTPASSWD-module-immediately!

или введите имя

CAPTCHA